Audit Logs

List Audit Logs

get

List audit logs for the organization with keyset pagination. Audit logs provide an audit trail of significant events within Opine. Supports filtering by activity type, deal, actor user, and target user.. Requires the 'activity_logs:read' scope.

Authorizations
X-API-KeystringRequired

API key for authentication

Query parameters
limitnumber · min: 1 · max: 1000Optional

Number of items to return (1-1000, default 100)

Default: 100
beforestringOptional

Cursor for pagination. Use endCursor from a previous response to get the next page of older logs.

afterstringOptional

Cursor to poll for new logs. Use startCursor from a previous response to get logs created after that point.

activityTypesstringOptional

Filter by activity type(s). Accepts single value or array (activityTypes[]=TYPE1&activityTypes[]=TYPE2)

dealIdsnumberOptional

Filter by deal ID(s). Accepts single value or array (dealIds[]=1&dealIds[]=2). Invalid IDs are silently ignored.

actorUserEmailsstringOptional

Filter by actor user email(s). Accepts single value or array (actorUserEmails[]=email1&actorUserEmails[]=email2)

targetUserEmailsstringOptional

Filter by target user email(s). Accepts single value or array (targetUserEmails[]=email1&targetUserEmails[]=email2)

Responses
chevron-right
200

Response for status 200

application/json
startCursorstring · nullableRequired
endCursorstring · nullableRequired
hasPreviousbooleanRequired
hasMorebooleanRequired
get
/v1/audit-logs

Last updated